Package org.lwjgl.opengl

# Class ARBCopyBuffer

java.lang.Object
org.lwjgl.opengl.ARBCopyBuffer

public final class ARBCopyBuffer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COPY_READ_BUFFER`
Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:
`static final int`
`GL_COPY_WRITE_BUFFER`
Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCopyBufferSubData(int readTarget, int writeTarget, long readOffset, long writeOffset, long size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COPY_READ_BUFFER

public static final int GL_COPY_READ_BUFFER
Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

See Also:
  - Constant Field Values

### GL_COPY_WRITE_BUFFER

public static final int GL_COPY_WRITE_BUFFER
Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

See Also:
  - Constant Field Values

## Method Details

### glCopyBufferSubData

public static void glCopyBufferSubData(int readTarget, int writeTarget, long readOffset, long writeOffset, long size)